## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extdir %{_datadir}/gnome-shell/extensions
%global gschemadir %{_datadir}/glib-2.0/schemas

Name:           gnome-shell-frippery
Version:        46.1
Release:        %autorelease
Summary:        Extensions to provide a user experience more like that of GNOME 2

License:        GPL-2.0-or-later
URL:            http://frippery.org/extensions
Source0:        %{url}/%{name}-%{version}.tgz

BuildArch:      noarch

Requires:       gnome-shell-extension-common

%description
This package contains some GNOME Shell extensions to provide a user experience
more like that of GNOME 2.

%package -n     gnome-shell-extension-frippery-applications-menu
Summary:        Replace Activities button with an Applications menu
%description -n gnome-shell-extension-frippery-applications-menu
This GNOME Shell extension replaces the Activities button in the panel with an
Applications menu.

%package -n     gnome-shell-extension-frippery-bottom-panel
Summary:        Add a bottom panel to the shell
%description -n gnome-shell-extension-frippery-bottom-panel
This GNOME Shell extension adds a bottom panel, including a window list and
workspace switcher.

%package -n     gnome-shell-extension-frippery-move-clock
Summary:        Move clock to left of status menu button
%description -n gnome-shell-extension-frippery-move-clock
This GNOME Shell extension moves the clock from the centre of the panel
towards the right.

%package -n     gnome-shell-extension-frippery-panel-favorites
Summary:        Add launchers for Favorites to the panel
%description -n gnome-shell-extension-frippery-panel-favorites
This GNOME Shell extension places a launcher for each favourite application in
the panel. Right clicking on the icons invokes a menu that lets one perform
various operations on the application.

%prep
%setup -q -c %{name}-%{version}
mv .local/share/gnome-shell/extensions .
mv .local/share/gnome-shell/gnome-shell-frippery/* .

%build

%install
mkdir -p %{buildroot}%{extdir}
cp -PR extensions/* %{buildroot}%{extdir}

# Install glib2 schema in the proper location
mkdir -p %{buildroot}%{gschemadir}
cp -P extensions/*/schemas/*.gschema.xml %{buildroot}%{gschemadir}
rm -r %{buildroot}%{extdir}/*/schemas

%find_lang frippery-applications-menu
%find_lang frippery-bottom-panel

%files -n gnome-shell-extension-frippery-applications-menu -f frippery-applications-menu.lang
%doc README CHANGELOG
%license COPYING
%{extdir}/Applications_Menu@rmy.pobox.com
%{gschemadir}/org.frippery.applications-menu.gschema.xml

%files -n gnome-shell-extension-frippery-bottom-panel -f frippery-bottom-panel.lang
%doc README CHANGELOG
%license COPYING
%{extdir}/Bottom_Panel@rmy.pobox.com
%{gschemadir}/org.frippery.bottom-panel.gschema.xml

%files -n gnome-shell-extension-frippery-move-clock
%doc README CHANGELOG
%license COPYING
%{extdir}/Move_Clock@rmy.pobox.com

%files -n gnome-shell-extension-frippery-panel-favorites
%doc README CHANGELOG
%license COPYING
%{extdir}/Panel_Favorites@rmy.pobox.com
%{gschemadir}/org.frippery.panel-favorites.gschema.xml

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 18 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 46.1-1
- Update to 46.1; Fixes: RHBZ#2275888

* Fri Mar 29 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 46.0-1
- Update to 46.0; Fixes: RHBZ#2272024

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 45.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 45.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 14 2023 Michel Lind <salimma@fedoraproject.org> - 45.1-1
- Update to 45.1

* Wed Oct 11 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 45.0-1
- Update to 45.0; Fixes: RHBZ#2243189

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 44.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 44.1-1
- Update to 44.1; Fixes: RHBZ#2214053

* Sat Apr 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 44.0-1
- Update to 44.0; Fixes: RHBZ#2188440, RHBZ#2185352

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 16 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 43.0-1
- Update to 43.0; Fixes: RHBZ#2129270

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 42.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 42.1-1
- Update to 42.1; Fixes: RHBZ#2096054

* Wed Mar 30 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 42.0-1
- Update to 42.0; Fixes: RHBZ#2068745

* Wed Mar 30 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 41.3-1
- Update to 41.3; Fixes: RHBZ#2068745

* Mon Mar 21 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 41.2-1
- Update to 41.2; Fixes: RHBZ#2041384

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 41.1-1
- Update to 41.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 40.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 40.2-2
- Correct %%find_lang macro usage
- Convert tabs to spaces

* Tue Jun 15 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 40.2-1
- Initial package

## END: Generated by rpmautospec
